Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.domain
Class RefererFilter

    java.lang.Object
      net.sourceforge.pebble.domain.RefererFilter

All Implemented Interfaces:
  java.lang.Comparable

    public class RefererFilter

extends java.lang.Object
implements java.lang.Comparable

Represents a blog category.

Author:
  Simon Brown

Constructor Summary
`RefererFilter()`
`RefererFilter(java.lang.String expression)` Creates a new category with the specified properties.

Method Summary
`int` | `compareTo(java.lang.Object o)` Compares this object with the specified object for order.
`boolean` | `equals(java.lang.Object o)` Determines whether the specified object is equal to this one.
`java.util.regex.Pattern` | `getCompiledExpression()` Gets the compiled version of the expression.
`java.lang.String` | `getExpression()` Gets the expression.
`long` | `getId()`
`int` | `hashCode()` Gets the hashcode of this object.
`void` | `setExpression(java.lang.String expression)` Sets the expression.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RefererFilter

    public RefererFilter()

### RefererFilter

    public RefererFilter(java.lang.String expression)

  Creates a new category with the specified properties.

  Parameters:
    `expression` - the filter expression

Method Detail

### getId

    public long getId()

### getExpression

    public java.lang.String getExpression()

  Gets the expression.

  Returns:
    the expression as a String

### setExpression

    public void setExpression(java.lang.String expression)

  Sets the expression.

  Parameters:
    `expression` - the expression as a String

### getCompiledExpression

    public java.util.regex.Pattern getCompiledExpression()

  Gets the compiled version of the expression.

  Returns:
    the compiled expression as a Pattern

### hashCode

    public int hashCode()

  Gets the hashcode of this object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the hashcode as an int

### equals

    public boolean equals(java.lang.Object o)

  Determines whether the specified object is equal to this one.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the object to compare against
  Returns:
    true if Object o represents the same category, false otherwise

### compareTo

    public int compareTo(java.lang.Object o)

  Compares this object with the specified object for order. Returns a negative integer, zero, or a positive integer if this object is less than, equal to, or greater than the specified object.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `o` - the Object to be compared.
  Returns:
    a negative integer, zero, or a positive integer if this object is less than, equal to, or greater than the specified object.
  Throws:
    `java.lang.ClassCastException` - if the specified object's type prevents it from being compared to this Object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.